routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('api')->group(function () {

    Route::get('/categories', 'Backend\CategoryController@apiIndex');
    Route::post('/categories/attribute', 'Backend\CategoryController@apiIndexAttribute');
    Route::get('/cities/{provinceId}', 'Auth\RegisterController@getAllCities');
    Route::get('/products/{id}/', 'Frontend\ProductController@apiGetProduct');
    Route::get('/sort-products/{id}/{sort}/{paginate}', 'Frontend\ProductController@apiGetSortedProduct');
    Route::get('/categories-attribute/{id}', 'Frontend\ProductController@apiGetCategoryAttributes');
    Route::get('/filter-products/{id}/{sort}/{paginate}/{attributes}', 'Frontend\ProductController@apiGetFilterProducts');

});

Auth::routes(['verify'=>true]);



Route::get('/verify','VerifyController@getVerify')->name('getVerify');
Route::post('/verify','VerifyController@postVerify')->name('verify');
Route::post('/send-verify','VerifyController@reSendVerify')->name('sendVerify');


Route::get('/home', 'HomeController@index')->name('home');
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::prefix('administrator')->middleware(['auth','isAdmin:مدیر'])->group(function (){
    Route::get('/dashboard','Backend\DashboardController@index');
    Route::get('/news','FrontEnd\AboutController@index')->name('news.index');
    Route::resource('/brands','Backend\BrandController');
    Route::resource('/posts','Backend\PostController');
    Route::resource('/roles','Backend\RoleController');
    Route::resource('/photos','Backend\PhotoController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/categories','Backend\CategoryController');
    Route::resource('/attributes-group','Backend\AttributeGroupController');
    Route::resource('/attributes-value','Backend\AttributeValueController');
    Route::resource('/users','Backend\UserController');
    Route::resource('/profiles','Backend\ProfileController');
    Route::resource('/roles-user','Backend\RoleUserController');
    Route::resource('/coupons','Backend\CouponController');
    Route::resource('/sms-panel','Backend\SmsPanelController');
    Route::resource('/products','Backend\ProductController');
    Route::resource('/banks','Backend\BankController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/city','Backend\CityController');
    Route::resource('/province','Backend\ProvinceController');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/contacts','Backend\ContactController');
    Route::get('/categories/{id}/settings', 'Backend\CategoryController@indexSetting')->name('categories.indexSetting');
    Route::post('/categories/{id}/settings', 'Backend\CategoryController@saveSetting');
    Route::get('/orders', 'Backend\OrderController@index')->name('order.index');
    Route::get('/orders/lists/{id}', 'Backend\OrderController@getOrderLists')->name('orders.lists');

});

Route::get('/products','FrontEnd\ProductController@index');
Route::get('/products/{slug}','FrontEnd\ProductController@show')->name('product.show');
Route::get('/welcome','FrontEnd\IndexController@index');
Route::get('/','FrontEnd\IndexController@index');
Route::get('/categories/{id}','FrontEnd\CategoryController@show');
Route::post('/search','FrontEnd\SearchController@index');
Route::get('/add-to-cart/{id}', 'FrontEnd\CartController@addToCart')->name('cart.add');
Route::post('/remove-item/{id}', 'FrontEnd\CartController@removeItem')->name('cart.remove');
Route::get('/cart', 'FrontEnd\CartController@getCart')->name('cart.cart');
Auth::routes();

Route::group(['middleware'=>'auth'],function(){
    Route::post('/coupon', 'FrontEnd\CouponController@addCoupon')->name('coupon.add');
    Route::post('/posts', 'FrontEnd\PostController@store')->name('post.store');
    Route::get('/order-verify', 'FrontEnd\OrderController@verify')->name('order.verify');
    Route::get('/payment-verify/{id}', 'FrontEnd\PaymentController@verify')->name('payment.verify');
    Route::get('/profile', 'FrontEnd\UserController@profile')->name('user.profile');
    Route::get('/profile-edit/{id}', 'FrontEnd\UserController@edit')->name('profile.edit');
    Route::put('/profile-update/{id}', 'FrontEnd\UserController@update')->name('profile.updates');
    Route::get('/orders', 'FrontEnd\OrderController@index')->name('profile.orders');
    Route::get('/orders/lists/{id}', 'FrontEnd\OrderController@getOrderLists')->name('profile.orders.lists');
    Route::post('/add-city','FrontEnd\UserController@locations')->name('add.city');
    Route::resource('/addresses','FrontEnd\AddressController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
});

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/mobile/reset', 'Auth\MobileResetController@index')->name('mobile.reset');
Route::post('/send/code', 'Auth\MobileResetController@sendCodePass')->name('send.code');
Route::post('/change/code','Auth\MobileResetController@changePassword')->name('change.code');
Route::get('/mobile/change', 'Auth\MobileResetController@getMobile')->name('mobile.change');

Route::get('/contact-me','FrontEnd\AboutController@contact')->name('contact.me');
Route::post('/contact-save','FrontEnd\AboutController@contactSave')->name('contact.save');
Route::post('/email-save','FrontEnd\AboutController@news')->name('email.save');
Route::get('/about-me','FrontEnd\AboutController@about')->name('about.me');

app/Province.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Province extends Model
{
    protected $table='province';

    public function cities()
    {
        return $this->belongsToMany(City::class);
    }
    public function address()
    {
        return $this->belongsTo(Address::class);
    }
}

app/Http/Controllers/Backend/ProvinceController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Photo;
use App\Province;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class ProvinceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $province=Province::paginate(10);

        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();
        return view('admin.province.index',['province'=>$province,'user'=>$user]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();
        return view('admin.province.create',['user'=>$user]);

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request ,[
            'name'=>'required|min:2|max:255|string|unique:province'
            ],[
                 'name.required'=>'نام استان را وارد کنید',
                 'name.min'=>'نام استان نباید کمتر از 2 حرف باشد',
                 'name.max'=>'نام استان نباید بیشتر از 255 حرف باشد',
                 'name.unique'=>'نام استان قبلا ثبت شده است',
            ]);
        $province=new Province();
        $province->name=$request->input('name');
        $province->save();
        Session::flash('success','استان '.$province->name.' با موفقیت ثبت شد.');
        return redirect()->route('province.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();
        $province=Province::findOrFail($id);
        return view('admin.province.edit',['province'=>$province,'user'=>$user]);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request ,[
            'name'=>'required|min:2|max:255|string|unique:province,name,'.$id
        ],[
            'name.required'=>'نام استان را وارد کنید',
            'name.min'=>'نام استان نباید کمتر از 2 حرف باشد',
            'name.max'=>'نام استان نباید بیشتر از 255 حرف باشد',
            'name.unique'=>'نام استان قبلا ثبت شده است',
        ]);
        $province=Province::findOrFail($id);
        $province->name=$request->input('name');
        $province->save();
        Session::flash('success','استان '.$province->name.' با موفقیت بروزرسانی شد.');
        return redirect()->route('province.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $province=Province::findOrFail($id);
        $province->delete();
        Session::flash('delete_method','استان '.$province->name.' با موفقیت حذف شد.');
        return redirect()->route('province.index');
    }
}

resources/views/admin/province/create.blade.php
@extends('admin.layouts.master')

@section('title')
    اضافه کردن استان جدید
@endsection

@section('content')
    <div class="container-fluid">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province')}}">ناحیه</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province')}}">استان ها</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province/create')}}">ضافه کردن استان جدید</a></span>
            </div>
        </div>
        <br>
        <div class="h4 text-center mb-4">
            <span class="text-center">ایجاد استان جدید </span>
        </div>
                <div class="row">

                    <div class="col-md-8 m-auto">
                        @include('admin.partials.form-errors')
                        <form id="myForm" method="post" action="/administrator/province">
                            @csrf
                            <div class="form-group">
                                <label for="name">نام استان <span class="text-danger">*</span></label>
                                <input type="text" id="name" name="name" class="form-control" placeholder="نام استان را وارد کنید...">
                            </div>

                            <button type="submit" class="btn btn-info btn-block">ذخیره</button>
                        </form>
                    </div>
                </div>
            </div>

@endsection

resources/views/admin/province/edit.blade.php
@extends('admin.layouts.master')

@section('title')
    اضافه کردن استان جدید
@endsection

@section('content')
    <div class="container-fluid">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province')}}">ناحیه</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province')}}">استان ها</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province/create')}}">ضافه کردن استان جدید</a></span>
            </div>
        </div>
        <br>
        <div class="h4 text-center mb-4">
            <span class="text-center">ویرایش استان {{$province->name}} </span>
        </div>
        <div class="row">

            <div class="col-md-8 m-auto">
                @include('admin.partials.form-errors')
                <form id="myForm" method="post" action="{{route('province.update',$province->id)}}">
                    @csrf
                    {{method_field('PATCH')}}
                    <div class="form-group">
                        <label for="name">نام استان <span class="text-danger">*</span></label>
                        <input type="text" id="name" name="name" class="form-control" value="{{$province->name}}" placeholder="نام استان را وارد کنید...">
                    </div>

                    <button type="submit" class="btn btn-info btn-block">ذخیره</button>
                </form>
            </div>
        </div>
    </div>

@endsection

resources/views/admin/province/index.blade.php
@extends('admin.layouts.master')

@section('title')
   استان ها
@endsection

@section('content')

    <div class="container-fluid">

        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province')}}">ناحیه</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/province')}}">استان ها</a></span>
            </div>
        </div>
        <br>

        <div class="h4 text-center mb-4">
            <span class="text-center">استان ها</span>
            <span class="float-left">
                <a href="{{route('province.create')}}" class="btn btn-lg btn-info text-white">
                    <i class="fas fa-plus fa-lg pl-2"></i>
                    <span>جدید</span>
                </a>
            </span>
        </div>

        @include('admin.partials.index-success')
        <div class="row">
                    <table class="table table-active table-striped table-hover shadow text-center">
                        <thead class="thead-light">
                        <tr>
                            <th>شناسه</th>
                            <th>نام استان</th>
                            <th>عملیات</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($province as $state)
                            <tr>
                                <td>{{$state->id}}</td>
                                <td>{{$state->name}}</td>
                                <td class="custom-control-inline">
                                    <a class="btn btn-warning text-white ml-2" href="{{route('province.edit', $state->id)}}">ویرایش</a>
                                    <div class="display-inline-block">
                                        <form method="post" action="/administrator/province/{{$state->id}}">
                                            @csrf
                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="btn btn-danger">حذف</button>
                                        </form>
                                    </div>

                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <!-- /.table-responsive -->
            <div class="m-auto">
                <span class="align-items-center">{{$province->links()}}</span>
            </div>
    </div>



@endsection